//
//  HelloWorldLayer.h
//  nukeControl
//
//  Created by Patrick Völcker on 22.06.11.
//  Copyright herontronic 2011. All rights reserved.
//


#import "cocos2d.h"

@interface HelloWorldLayer : CCLayer
{
    NSMutableArray *electrons; // Elektronen
    NSMutableArray *electronPath; // Pfad
    NSMutableArray *atoms; // Atome
    NSMutableArray *bg; // Hintergrundatome
    
    // der uebliche Zaehler
    float counter;
    
    // Displaymasse
    float screenHeight;
    float screenWidth;
    
    // diverse Flags
    bool normalAction; // Game-Modus
    
    int electronsTotal; // zaehlt die Elektronen pro Level
    int currentElectron; // zeigt aktives Elektron an
    int zoomToBadElectron; // merkt sich Elektron, das an Spielende schuld ist
    
    int nodeCounter; // zaehlt die Pfadpunkte
    
}

+(CCScene *) scene;

@property (nonatomic,retain) NSMutableArray *electrons;
@property (nonatomic,retain) NSMutableArray *electronPath;
@property (nonatomic,retain) NSMutableArray *atoms;
@property (nonatomic,retain) NSMutableArray *bg;

@end


